## 证书设置 (`cert-settings`)

当前用户新建证书时的默认类型;留空则跟随平台。

鉴权: 用户 · 文档: https://www-demo.kuxitong.com/zh/docs/api/cert-settings

### GET `/api/v2/cert-settings`

获取证书设置 · 鉴权: 用户

```sh
curl "https://panel.example.com/api/v2/cert-settings" \
  -H "X-API-Key: $GOCDN_API_KEY"
```

### PUT `/api/v2/cert-settings`

修改证书设置 · 鉴权: 用户

请求体:

| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
| `default_type` | string | 有 | 本人设的默认类型(custom/lets/zerossl);null = 跟随平台。 |

```sh
curl -X PUT "https://panel.example.com/api/v2/cert-settings" \
  -H "X-API-Key: $GOCDN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"default_type":"custom"}'
```

证书设置对象:

| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
| `default_type` | string |  | 本人设的默认类型(custom/lets/zerossl);null = 跟随平台。 |
| `effective_type` | string |  | 实际生效的默认类型。 (只读) |
